package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class AscendingIntegers extends IntegerSupplier {
    private static final int SIZE = 50_000_000;

    public AscendingIntegers() {
        super(IntegerArray.ascending(SIZE, 0));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(SIZE) + " ascending Integer objects.";
    }
}
