package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class RandomIntegers extends IntegerSupplier {
    private static final int SIZE = 50_000_000;

    public RandomIntegers() {
        super(IntegerArray.random(SIZE));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(SIZE) + " random Integer objects.";
    }
}
